Subject: WU-ftpd, Solaris and ls

From: [email-masked]
Date: Thu, 09 Nov 1995 17:07:42 +0000 (GMT)

This site would be grateful for any assistance with the following
problem with ANONYMOUS access. Replies to this enquiry should be
sent directly to "[email-masked]".

We have installed WU-ftpd, version 2.4(6), under Solaris 2.3.
It replaced an older version of the WU-ftpd that we had been
running on a SunOS 4.1.3 system. The new FTP Archive under Solaris
appeared to work fine when tested from ftp clients on other
Sun systems.  Problems arose, however, with the FTP 'ls' command
when the clients were HP-UX systems or when Netscape running on
Novell-PC clusters attempted anonymous access and tried to present
the files in the directories from /pub downwards.

We tracked the problem down to the "LIST" command emitted by the
FTP client end. We were surprised to discover that the FTP 'ls'
command emitts "LIST" on some systems  (eg HP-UX) and "NLST" from
other clients (eg Suns).

Our problem is that the FTP daemon on the Solaris system does not
respond to either the "LIST" command or the "NLST -l" command
that it receives from the client. "NLST" however works OK.

The 'ls' binary in the FTP daemons "/bin" directory behaves as
expected when the root user does, say, "./ls -l" or "./ls -la".

If there is an FAQ list for the WU FTP daemon we would welcome
info on pointers to where a current version can be obtained. 

Thanks in anticipation of help.

Quentin Campbell 
--
PHONE: +44 191 222 8209                Computing Service,
FAX  : +44 191 222 8765                University of Newcastle upon Tyne,
TELEX: uk+53654-UNINEW_G               United Kingdom, NE1 7RU.
-------------------------------------------------------------------------
"Any opinions expressed above are mine. The University can get its own."

---

From: [email-masked] (John Detke)
Date: Thu, 9 Nov 1995 10:08:35 -0800 (PST)

> expected when the root user does, say, "./ls -l" or "./ls -la".

Have you installed all the necessary devices in ~ftp/dev and libs in ~ftp/usr/lib
(if you are using shared bins)? The Solaris Man pages for ftpd are quite good
about listing how to do this. More than just dev/zero is required. I usually
compile a statically linked "ls", generally one that provide more info. Does
"dir" work from the HP clients?

> info on pointers to where a current version can be obtained. 

When you can get in, WU has it of course. Also see ftp.academ.com:/pub/wu-ftpd

cheers,
-- 
John F. Detke		| I fish
[email-masked] 	| Therefore,
Felton, Ca		| I am.		-- anon

---

From: [email-masked] (John G. Thompson)
Date: Thu, 9 Nov 1995 10:24:43 -0800 (PST)

> "dir" work from the HP clients?

Don't forget to check and match the mode and ownership of the /dev devices
you copied/created/mknod'd.  Some things don't work well if they can't
access the devices (like passive!!).

Also check that you have /etc/passwd and /etc/group pruned and copies
into ~ftp/etc.

Enjoy!
JGT
-- 
John G. Thompson    [email-masked]      1-408-992-2088
Amdahl Corporation, P.O. Box 3470 MS 383, Sunnyvale, CA 94088-3470

[The opinions expressed are MINE. They do not necessarily reflect the 
policies, procedures, press releases or opionions of the Amdahl Corporation.]